textures/ut4_suburbs/lit_ceiling_tile1
{
	qer_editorimage textures/ut4_suburbs/ceiling_tile1.tga
	q3map_surfacelight 200
	q3map_lightimage textures/realworld_light/flouresc.tga

	{
		
		map textures/ut4_suburbs/ceiling_tile1.tga
		rgbGen identity
	}
}

textures/ut4_suburbs/ceiling_tile1
{
	q3map_surfacelight 20
	q3map_lightimage textures/realworld_light/flouresc.tga

	{
		
		map textures/ut4_suburbs/ceiling_tile1.tga
		rgbGen identity
	}
}


textures/ut4_suburbs/fd_gar_light
{
	surfaceparm nomarks
	q3map_surfacelight 200

	{
		
		map textures/ut4_suburbs/fd_gar_light.tga
		rgbGen identity
	}
}

textures/ut4_suburbs/chnightsky

{
	qer_editorimage textures/ut4_suburbs/shm_nightclouds.tga
	
	q3map_lightImage textures/ut4_suburbs/nightsky_light.tga
	q3map_sunext 0.6823529411764705882352941176 0.8196078431372549019607843137 1 120 15 76 3 32
	q3map_skylight 250 6
	q3map_lightmapFilterRadius 0 64

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	
	skyparms textures/ut4_suburbs/env/sky 1024 -
	nopicmip
	nomipmaps

	{
		map textures/ut4_suburbs/shm_nightclouds.tga
//		tcMod scroll 0.005 -0.0125
		tcMod turb 0 0.005 0.35 0.004
		tcMod scroll 0.004 -0.0075
//		rgbGen identityLighting
	}
	{
		map textures/ut4_suburbs/shm_sky_mask.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
//		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
//		tcMod transform 0.325 0 0 0.325 0.1075 0.1075
		rgbGen identityLighting
	}
}

textures/ut4_suburbs/shm_nightsky
{
	qer_Editorimage textures/ut4_suburbs/foghull_nightsky.tga
	q3map_lightimage textures/ut4_suburbs/nightsky_light.tga
	q3map_sunext 0.7529411764705882352941176471 0.8627450980392156862745098039 1 45 18 76 2 8
	q3map_skylight 40 3
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyparms textures/ut4_suburbs/night/foghull_nightsky 512 -
}

textures/ut4_suburbs/shrub_1
{
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	
	{
		map textures/ut4_suburbs/shrub_1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
		
}

textures/ut4_suburbs/shrub_2
{
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	
	{
		map textures/ut4_suburbs/shrub_2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbgen vertex
	}


}

textures/ut4_suburbs/portal_fog
{
	qer_editorimage textures/common/invisible.tga
	surfaceparm trans
	surfaceparm nonsolid
 	qer_trans 0.8
	surfaceparm nolightmap
	cull disable

	//comment these lines during bsp stage	
	surfaceparm fog
	fogparms ( 0.3333333333333333333333333333 0.3333333333333333333333333333 0.3333333333333333333333333333 ) 3072
	//


	{
		map textures/common/invisible.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcGen environment
		rgbGen identity
	}
}

textures/ut4_suburbs/brite_brass
{
 	qer_editorimage textures/ut4_suburbs/gold_brass.tga
 	{
 		map textures/ut4_suburbs/gold_brass.tga
 	}
 	{
 		map $lightmap
 		blendFunc filter
 	}
 	{
 		map textures/ut4_suburbs/fd_tinfx.tga
 		tcGen environment
 		blendfunc gl_dst_color gl_src_color
//		blendfunc add
 		rgbGen identity
 	}
}

textures/ut4_suburbs/fd_glass4
{
	
	qer_editorimage textures/ut4_suburbs/fd_glass4.tga
	surfaceparm trans
	//surfaceparm solid
 	qer_trans 0.0
	surfaceparm nolightmap
	cull disable
	
	
	
	{
		map textures/ut4_suburbs/fd_glass4.tga
		rgbGen identity
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcGen environment
	}
}

textures/ut4_suburbs/grass_mix
{
	//q3map_foliage models/mapobjects/plants_sd/grass_low.md3 .5 8 0.01 0
	q3map_lightmapmergeable
	q3map_terrain

	{		
		map textures/ut4_suburbs/grass_mix.tga
		rgbGen identity
	}
}

textures/ut4_suburbs/fog_nightsky
{
	qer_trans 0.65
	
 	q3map_fogDir ( 0 0 -1 )
 	surfaceparm trans
 	surfaceparm nonsolid
 	surfaceparm fog
 	surfaceparm nolightmap
 	surfaceparm nodraw

fogparms ( 0.3333333333333333333333333333 0.3333333333333333333333333333 0.3333333333333333333333333333 ) 3072
}

textures/ut4_suburbs/foghull_nightsky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm sky		// !!SKY!!
	skyparms textures/ut4_suburbs/night/foghull_nightsky 0 -
}


textures/ut4_suburbs/wood_fence
{
	qer_editorimage textures/ut4_suburbs/wood_fence.tga
	surfaceparm trans
	qer_trans 0.0
	//surfaceparm nolightmap
	//cull none

	{
		map textures/ut4_suburbs/wood_fence.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbGen identity
	}
}

textures/ut4_suburbs/corona_hl
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/ut4_suburbs/corona_hl.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut4_suburbs/corona_hl2
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/ut4_suburbs/corona_hl2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut4_suburbs/street_flare
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none

	{
		clampmap textures/ut4_suburbs/street_flare.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut4_suburbs/corona_yel
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/ut4_suburbs/corona_yel.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut4_suburbs/corona_red
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/ut4_suburbs/corona_red.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut4_suburbs/corona_wht
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none

	{
		clampmap textures/ut4_suburbs/corona_wht.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut4_suburbs/lightbulb
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none

	{
		clampmap textures/ut4_suburbs/lightbulb.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut4_suburbs/street_lt_shade
{
     	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		clampmap textures/ut4_suburbs/street_lt_shade.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut4_suburbs/globe
{
	qer_editorimage textures/ut4_suburbs/globe.tga
	surfaceparm trans
	qer_trans 0.0
	surfaceparm nolightmap
	cull none

	{
		map textures/ut4_suburbs/globe.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcGen environment
		rgbGen indentity
	}
}


textures/ut4_suburbs/fan_screen
{
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ut4_suburbs/fan_screen.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/ut4_suburbs/garage_light
{
	qer_editorimage textures/ut4_suburbs/fd_gar_light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap



	q3map_surfacelight 100
	q3map_lightimage textures/ut4_suburbs/white.tga
	
}

textures/ut4_suburbs/white_lit
{
	qer_editorimage textures/ut4_suburbs/white.tga
	surfaceparm nomarks
	q3map_surfacelight 350

	{
		
		map textures/ut4_suburbs/white.tga
		rgbGen identity
	}
}

textures/ut4_suburbs/yellow
{
	qer_editorimage textures/ut4_suburbs/yellow.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 150

	{
		map textures/ut4_suburbs/yellow.tga
		rgbGen identity
	}
}

textures/ut4_suburbs/red_lt
{
	qer_editorimage textures/ut4_suburbs/red.tga
	
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 150

	{
		map textures/ut4_suburbs/red.tga
		rgbGen identity
	}
}

textures/ut4_suburbs/barbed_wire
{
	surfaceparm trans		
	surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
	cull none
        nopicmip
	nomipmaps
	{
		map textures/ut4_suburbs/barbed_wire.tga
		tcMod scale 3 3
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/ut4_suburbs/galvfence
{
	surfaceparm trans		
	surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
	cull none
        nopicmip

	{
		map textures/ut4_suburbs/galvfence.tga
		tcMod scale 3 3
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/ut4_suburbs/urt_flag
{
        tessSize 43
        deformVertexes wave 43 sin 0 3 .5 .8
        deformVertexes normal .4 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/ut4_suburbs/urt_flag.tga
		rgbGen identity
	}
        {
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}

}
textures/ut4_suburbs/q3_flag
{
        tessSize 43
        deformVertexes wave 43 sin 0 3 .5 .8
        deformVertexes normal .4 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/ut4_suburbs/q3_flag.tga
		rgbGen identity
	}
        {
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}

}


textures/ut4_suburbs/invisible // solid, transparent polygons, casts shadows
{
	surfaceparm nolightmap			
        {
                map textures/ut4_suburbs/invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}


